﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };


    var defaultPage = WinJS.UI.Pages.define("/default.html", {
        ready: function (element, options) {
            document.getElementById("showDialog").addEventListener("click", showDialog_Click, false);
        }
    });

    function output(msg) {
        document.getElementById("output").innerText = msg;
    }

    function showDialog_Click() {
        var dlg = new Windows.UI.Popups.MessageDialog("Brilliant dialog popping up from JavaScript");

        dlg.commands.append(new Windows.UI.Popups.UICommand("Wow, I like it!", function (command) {
            output("I love you, too!");
        }));
        dlg.commands.append(new Windows.UI.Popups.UICommand("Oh well.", function (command) {
            output("Oh well indeed.");
        }));
        dlg.showAsync();
    }

    app.start();
})();
